Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.pool
Class Connection

    java.lang.Object
      |
      +--weblogic.jdbc.pool.Connection

public final class Connection
extends java.lang.Object
implements java.sql.Connection, weblogic.jdbc.vendor.oracle.OracleConnection, WLConnection, java.io.Serializable

This class implements `java.sql.Connection`, and all of the documentation for its methods can be found in the `java.sql.Connection` docs.

Author:
  Copyright (c) 1997-1998 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected boolean` | `beenClosed`
`protected weblogic.jdbc.common.internal.ConnectionEnv` | `cc`
`protected java.sql.Connection` | `conn`
`java.util.Properties` | `driverProps`
`protected boolean` | `leakedConnTracingEnabled`
`java.lang.String` | `poolName`
`weblogic.jdbc.rmi.internal.RmiDriverSettings` | `rmiSettings`
`protected java.lang.Throwable` | `stackTraceSource`

Constructor Summary
`Connection(weblogic.jdbc.common.internal.ConnectionEnv aCc)`

Method Summary
`void` | `archive(int i, int j, java.lang.String s)`
`void` | `checkIfClosed()`
`void` | `clearCallableStatement(java.lang.String sql)`
`void` | `clearCallableStatement(java.lang.String sql, int resType, int resConcurrency)`
`void` | `clearClientIdentifier(java.lang.String s)`
`void` | `clearPreparedStatement(java.lang.String sql)`
`void` | `clearPreparedStatement(java.lang.String sql, int resType, int resConcurrency)`
`void` | `clearStatementCache()`
`void` | `clearWarnings()`
`void` | `close_statements()`
`void` | `close()`
`void` | `commit()`
`oracle.sql.BfileDBAccess` | `createBfileDBAccess()`
`oracle.sql.BlobDBAccess` | `createBlobDBAccess()`
`oracle.sql.ClobDBAccess` | `createClobDBAccess()`
`java.sql.Statement` | `createStatement()`
`java.sql.Statement` | `createStatement(int resultSetType, int resultSetConcurrency)`
`java.sql.Statement` | `createStatement(int a, int b, int c)`
`java.sql.Statement` | `createStatementWithKey(java.lang.String sql)`
`void` | `finalize()`
`boolean` | `getAutoClose()`
`boolean` | `getAutoCommit()`
`boolean` | `getBigEndian()`
`java.lang.String` | `getCatalog()`
`java.lang.Object` | `getClientData(java.lang.Object o)`
`java.lang.String` | `getDatabaseProductVersion()`
`java.util.Properties` | `getDBAccessProperties()`
`short` | `getDbCsId()`
`boolean` | `getDefaultAutoRefetch()`
`int` | `getDefaultExecuteBatch()`
`int` | `getDefaultRowPrefetch()`
`java.lang.Object` | `getDescriptor(java.lang.String s)`
`byte[]` | `getFDO(boolean b)`
`int` | `getHoldability()`
`boolean` | `getIncludeSynonyms()`
`java.lang.Object` | `getJavaObject(java.lang.String s)`
`short` | `getJdbcCsId()`
`java.sql.DatabaseMetaData` | `getMetaData()`
`java.lang.String` | `getPoolName()`
`java.lang.String` | `getProtocolType()`
`boolean` | `getRemarksReporting()`
`boolean` | `getReportRemarks()`
`boolean` | `getRestrictGetTables()`
`java.lang.String` | `getSQLType(java.lang.Object o)`
`int` | `getStmtCacheSize()`
`short` | `getStructAttrCsId()`
`int` | `getTransactionIsolation()`
`java.util.Map` | `getTypeMap()`
`java.lang.String` | `getURL()`
`java.lang.String` | `getUserName()`
`boolean` | `getUsingXAFlag()`
`java.sql.Connection` | `getVendorConnection()`
`short` | `getVersionNumber()`
`java.sql.SQLWarning` | `getWarnings()`
`boolean` | `getXAErrorFlag()`
`void` | `holdLine(oracle.jdbc.driver.OracleStatement s)`
`void` | `initUserName()`
`boolean` | `isClosed()`
`boolean` | `isReadOnly()`
`void` | `logicalClose()`
`java.lang.String` | `nativeSQL(java.lang.String sql)` JDK 1.2 subclass these public Statement createStatement() throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.createStatement(); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.Statement(stmt.jstmt, cc, key, this); } public PreparedStatement prepareStatement(String sql) throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.prepareStatement(sql); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.PreparedStatement((PreparedStatement)stmt.jstmt, cc, key, this); } public CallableStatement prepareCall(String sql) throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.prepareCall(sql); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.CallableStatement((CallableStatement)stmt.jstmt, cc, key, this); }
`void` | `needLine()`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.CallableStatement` | `prepareCall(java.lang.String a, int b, int c, int d)`
`java.sql.CallableStatement` | `prepareCallWithKey(java.lang.String key)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int[] b)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String sql, int resultSetType, int resultSetConcurrency)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, int b, int c, int d)`
`java.sql.PreparedStatement` | `prepareStatement(java.lang.String a, java.lang.String[] b)`
`java.sql.PreparedStatement` | `prepareStatementWithKey(java.lang.String sql)`
`void` | `printState()`
`void` | `putDescriptor(java.lang.String s, java.lang.Object o)`
`void` | `refresh()`
`void` | `registerSQLType(java.lang.String s, java.lang.Class c)`
`void` | `registerSQLType(java.lang.String s, java.lang.String t)`
`void` | `releaseLine()`
`void` | `releaseSavepoint(java.sql.Savepoint a)`
`void` | `removeAllDescriptor()`
`java.lang.Object` | `removeClientData(java.lang.Object o)`
`void` | `removeDecriptor(java.lang.String s)`
`void` | `rollback()`
`void` | `rollback(java.sql.Savepoint s)`
`void` | `setAutoClose(boolean on)`
`void` | `setAutoCommit(boolean isAutoCommit)`
`void` | `setCatalog(java.lang.String catalog)`
`java.lang.Object` | `setClientData(java.lang.Object o, java.lang.Object o2)`
`void` | `setClientIdentifier(java.lang.String s)`
`void` | `setDefaultAutoRefetch(boolean b)`
`void` | `setDefaultExecuteBatch(int i)`
`void` | `setDefaultRowPrefetch(int i)`
`void` | `setFDO(byte[] b)`
`void` | `setHoldability(int a)`
`void` | `setIncludeSynonyms(boolean b)`
`void` | `setPhysicalStatus(boolean b)`
`void` | `setReadOnly(boolean isReadOnly)` public DatabaseMetaData getMetaData() throws SQLException { checkIfClosed(); cc.checkIfEnabled(); return new weblogic.jdbc.pool.DatabaseMetaData(conn.getMetaData(), cc, this); }
`void` | `setRemarksReporting(boolean b)`
`void` | `setRestrictGetTables(boolean b)`
`java.sql.Savepoint` | `setSavepoint()`
`java.sql.Savepoint` | `setSavepoint(java.lang.String a)`
`void` | `setStmtCacheSize(int i)`
`void` | `setStmtCacheSize(int i, boolean b)`
`void` | `setTransactionIsolation(int transactionIsolation)`
`void` | `setTypeMap(java.util.Map map)`
`void` | `setUsingXAFlag(boolean b)`
`void` | `setXAErrorFlag(boolean b)`
`void` | `shutdown(int i)`
`void` | `startup(java.lang.String s, int i)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cc

    protected weblogic.jdbc.common.internal.ConnectionEnv cc

### conn

    protected java.sql.Connection conn

### beenClosed

    protected boolean beenClosed

### leakedConnTracingEnabled

    protected boolean leakedConnTracingEnabled

### stackTraceSource

    protected java.lang.Throwable stackTraceSource

### driverProps

    public java.util.Properties driverProps

### rmiSettings

    public weblogic.jdbc.rmi.internal.RmiDriverSettings rmiSettings

### poolName

    public java.lang.String poolName

Constructor Detail

### Connection

    public Connection(weblogic.jdbc.common.internal.ConnectionEnv aCc)

Method Detail

### checkIfClosed

    public void checkIfClosed()
                       throws java.sql.SQLException

### clearStatementCache

    public void clearStatementCache()
                             throws java.sql.SQLException

  Specified by:
    clearStatementCache in interface WLConnection

### clearCallableStatement

    public void clearCallableStatement(java.lang.String sql)
                                throws java.sql.SQLException

  Specified by:
    clearCallableStatement in interface WLConnection

### clearCallableStatement

    public void clearCallableStatement(java.lang.String sql,
                                       int resType,
                                       int resConcurrency)
                                throws java.sql.SQLException

  Specified by:
    clearCallableStatement in interface WLConnection

### clearPreparedStatement

    public void clearPreparedStatement(java.lang.String sql)
                                throws java.sql.SQLException

  Specified by:
    clearPreparedStatement in interface WLConnection

### clearPreparedStatement

    public void clearPreparedStatement(java.lang.String sql,
                                       int resType,
                                       int resConcurrency)
                                throws java.sql.SQLException

  Specified by:
    clearPreparedStatement in interface WLConnection

### getPoolName

    public java.lang.String getPoolName()

  Specified by:
    getPoolName in interface WLConnection

### nativeSQL

    public java.lang.String nativeSQL(java.lang.String sql)
                               throws java.sql.SQLException

  JDK 1.2 subclass these public Statement createStatement() throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.createStatement(); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.Statement(stmt.jstmt, cc, key, this); } public PreparedStatement prepareStatement(String sql) throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.prepareStatement(sql); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.PreparedStatement((PreparedStatement)stmt.jstmt, cc, key, this); } public CallableStatement prepareCall(String sql) throws SQLException { checkIfClosed(); cc.checkIfEnabled(); StatementHolder stmt = new StatementHolder(); stmt.jstmt = conn.prepareCall(sql); Long key = cc.addStatement(stmt); return new weblogic.jdbc.pool.CallableStatement((CallableStatement)stmt.jstmt, cc, key, this); }
  Specified by:
    nativeSQL in interface java.sql.Connection

### setAutoCommit

    public void setAutoCommit(boolean isAutoCommit)
                       throws java.sql.SQLException

  Specified by:
    setAutoCommit in interface java.sql.Connection

### getAutoCommit

    public boolean getAutoCommit()
                          throws java.sql.SQLException

  Specified by:
    getAutoCommit in interface java.sql.Connection

### commit

    public void commit()
                throws java.sql.SQLException

  Specified by:
    commit in interface java.sql.Connection

### rollback

    public void rollback()
                  throws java.sql.SQLException

  Specified by:
    rollback in interface java.sql.Connection

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Connection

### isClosed

    public boolean isClosed()
                     throws java.sql.SQLException

  Specified by:
    isClosed in interface java.sql.Connection

### setReadOnly

    public void setReadOnly(boolean isReadOnly)
                     throws java.sql.SQLException

  public DatabaseMetaData getMetaData() throws SQLException { checkIfClosed(); cc.checkIfEnabled(); return new weblogic.jdbc.pool.DatabaseMetaData(conn.getMetaData(), cc, this); }
  Specified by:
    setReadOnly in interface java.sql.Connection

### isReadOnly

    public boolean isReadOnly()
                       throws java.sql.SQLException

  Specified by:
    isReadOnly in interface java.sql.Connection

### setCatalog

    public void setCatalog(java.lang.String catalog)
                    throws java.sql.SQLException

  Specified by:
    setCatalog in interface java.sql.Connection

### getCatalog

    public java.lang.String getCatalog()
                                throws java.sql.SQLException

  Specified by:
    getCatalog in interface java.sql.Connection

### setTransactionIsolation

    public void setTransactionIsolation(int transactionIsolation)
                                 throws java.sql.SQLException

  Specified by:
    setTransactionIsolation in interface java.sql.Connection

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws java.sql.SQLException

  Specified by:
    getTransactionIsolation in interface java.sql.Connection

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Connection

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Connection

### refresh

    public void refresh()
                 throws java.lang.Exception

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### createStatement

    public java.sql.Statement createStatement()
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

  Returns:
    Statement
  Throws:
    java.sql.SQLException - if there is an error

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

  Parameters:
    `sql` - String
  Returns:
    PreparedStatement
  Throws:
    java.sql.SQLException - if there is an error

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

  Parameters:
    `sql` - String
  Returns:
    CallableStatement
  Throws:
    java.sql.SQLException - if there is an error

### getMetaData

    public java.sql.DatabaseMetaData getMetaData()
                                          throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.Connection

  Returns:
    DatabaseMetaData
  Throws:
    java.sql.SQLException - if there is an error

### createStatement

    public java.sql.Statement createStatement(int resultSetType,
                                              int resultSetConcurrency)
                                       throws java.sql.SQLException

  Specified by:
    createStatement in interface java.sql.Connection

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String sql,
                                                       int resultSetType,
                                                       int resultSetConcurrency)
                                                throws java.sql.SQLException

  Specified by:
    prepareStatement in interface java.sql.Connection

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String sql,
                                                  int resultSetType,
                                                  int resultSetConcurrency)
                                           throws java.sql.SQLException

  Specified by:
    prepareCall in interface java.sql.Connection

### getTypeMap

    public java.util.Map getTypeMap()
                             throws java.sql.SQLException

  Specified by:
    getTypeMap in interface java.sql.Connection

### setTypeMap

    public void setTypeMap(java.util.Map map)
                    throws java.sql.SQLException

  Specified by:
    setTypeMap in interface java.sql.Connection

### getAutoClose

    public boolean getAutoClose()
                         throws java.sql.SQLException

  Specified by:
    getAutoClose in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setAutoClose

    public void setAutoClose(boolean on)
                      throws java.sql.SQLException

  Specified by:
    setAutoClose in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDatabaseProductVersion

    public java.lang.String getDatabaseProductVersion()
                                               throws java.sql.SQLException

  Specified by:
    getDatabaseProductVersion in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getProtocolType

    public java.lang.String getProtocolType()
                                     throws java.sql.SQLException

  Specified by:
    getProtocolType in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getURL

    public java.lang.String getURL()
                            throws java.sql.SQLException

  Specified by:
    getURL in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getUserName

    public java.lang.String getUserName()
                                 throws java.sql.SQLException

  Specified by:
    getUserName in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getBigEndian

    public boolean getBigEndian()
                         throws java.sql.SQLException

  Specified by:
    getBigEndian in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDefaultAutoRefetch

    public boolean getDefaultAutoRefetch()
                                  throws java.sql.SQLException

  Specified by:
    getDefaultAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getIncludeSynonyms

    public boolean getIncludeSynonyms()
                               throws java.sql.SQLException

  Specified by:
    getIncludeSynonyms in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getRemarksReporting

    public boolean getRemarksReporting()
                                throws java.sql.SQLException

  Specified by:
    getRemarksReporting in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getReportRemarks

    public boolean getReportRemarks()
                             throws java.sql.SQLException

  Specified by:
    getReportRemarks in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getRestrictGetTables

    public boolean getRestrictGetTables()
                                 throws java.sql.SQLException

  Specified by:
    getRestrictGetTables in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getUsingXAFlag

    public boolean getUsingXAFlag()
                           throws java.sql.SQLException

  Specified by:
    getUsingXAFlag in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getXAErrorFlag

    public boolean getXAErrorFlag()
                           throws java.sql.SQLException

  Specified by:
    getXAErrorFlag in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getFDO

    public byte[] getFDO(boolean b)
                  throws java.sql.SQLException

  Specified by:
    getFDO in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDefaultExecuteBatch

    public int getDefaultExecuteBatch()
                               throws java.sql.SQLException

  Specified by:
    getDefaultExecuteBatch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDefaultRowPrefetch

    public int getDefaultRowPrefetch()
                              throws java.sql.SQLException

  Specified by:
    getDefaultRowPrefetch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getStmtCacheSize

    public int getStmtCacheSize()
                         throws java.sql.SQLException

  Specified by:
    getStmtCacheSize in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDBAccessProperties

    public java.util.Properties getDBAccessProperties()
                                               throws java.sql.SQLException

  Specified by:
    getDBAccessProperties in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDbCsId

    public short getDbCsId()
                    throws java.sql.SQLException

  Specified by:
    getDbCsId in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getJdbcCsId

    public short getJdbcCsId()
                      throws java.sql.SQLException

  Specified by:
    getJdbcCsId in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getStructAttrCsId

    public short getStructAttrCsId()
                            throws java.sql.SQLException

  Specified by:
    getStructAttrCsId in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getVersionNumber

    public short getVersionNumber()
                           throws java.sql.SQLException

  Specified by:
    getVersionNumber in interface weblogic.jdbc.vendor.oracle.OracleConnection

### archive

    public void archive(int i,
                        int j,
                        java.lang.String s)
                 throws java.sql.SQLException

  Specified by:
    archive in interface weblogic.jdbc.vendor.oracle.OracleConnection

### close_statements

    public void close_statements()
                          throws java.sql.SQLException

  Specified by:
    close_statements in interface weblogic.jdbc.vendor.oracle.OracleConnection

### initUserName

    public void initUserName()
                      throws java.sql.SQLException

  Specified by:
    initUserName in interface weblogic.jdbc.vendor.oracle.OracleConnection

### logicalClose

    public void logicalClose()
                      throws java.sql.SQLException

  Specified by:
    logicalClose in interface weblogic.jdbc.vendor.oracle.OracleConnection

### needLine

    public void needLine()
                  throws java.sql.SQLException

  Specified by:
    needLine in interface weblogic.jdbc.vendor.oracle.OracleConnection

### printState

    public void printState()
                    throws java.sql.SQLException

  Specified by:
    printState in interface weblogic.jdbc.vendor.oracle.OracleConnection

### registerSQLType

    public void registerSQLType(java.lang.String s,
                                java.lang.String t)
                         throws java.sql.SQLException

  Specified by:
    registerSQLType in interface weblogic.jdbc.vendor.oracle.OracleConnection

### releaseLine

    public void releaseLine()
                     throws java.sql.SQLException

  Specified by:
    releaseLine in interface weblogic.jdbc.vendor.oracle.OracleConnection

### removeAllDescriptor

    public void removeAllDescriptor()
                             throws java.sql.SQLException

  Specified by:
    removeAllDescriptor in interface weblogic.jdbc.vendor.oracle.OracleConnection

### removeDecriptor

    public void removeDecriptor(java.lang.String s)
                         throws java.sql.SQLException

  Specified by:
    removeDecriptor in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setDefaultAutoRefetch

    public void setDefaultAutoRefetch(boolean b)
                               throws java.sql.SQLException

  Specified by:
    setDefaultAutoRefetch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setDefaultExecuteBatch

    public void setDefaultExecuteBatch(int i)
                                throws java.sql.SQLException

  Specified by:
    setDefaultExecuteBatch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setDefaultRowPrefetch

    public void setDefaultRowPrefetch(int i)
                               throws java.sql.SQLException

  Specified by:
    setDefaultRowPrefetch in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setFDO

    public void setFDO(byte[] b)
                throws java.sql.SQLException

  Specified by:
    setFDO in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setIncludeSynonyms

    public void setIncludeSynonyms(boolean b)
                            throws java.sql.SQLException

  Specified by:
    setIncludeSynonyms in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setPhysicalStatus

    public void setPhysicalStatus(boolean b)
                           throws java.sql.SQLException

  Specified by:
    setPhysicalStatus in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setRemarksReporting

    public void setRemarksReporting(boolean b)
                             throws java.sql.SQLException

  Specified by:
    setRemarksReporting in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setRestrictGetTables

    public void setRestrictGetTables(boolean b)
                              throws java.sql.SQLException

  Specified by:
    setRestrictGetTables in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setStmtCacheSize

    public void setStmtCacheSize(int i)
                          throws java.sql.SQLException

  Specified by:
    setStmtCacheSize in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setStmtCacheSize

    public void setStmtCacheSize(int i,
                                 boolean b)
                          throws java.sql.SQLException

  Specified by:
    setStmtCacheSize in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setUsingXAFlag

    public void setUsingXAFlag(boolean b)
                        throws java.sql.SQLException

  Specified by:
    setUsingXAFlag in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setXAErrorFlag

    public void setXAErrorFlag(boolean b)
                        throws java.sql.SQLException

  Specified by:
    setXAErrorFlag in interface weblogic.jdbc.vendor.oracle.OracleConnection

### shutdown

    public void shutdown(int i)
                  throws java.sql.SQLException

  Specified by:
    shutdown in interface weblogic.jdbc.vendor.oracle.OracleConnection

### startup

    public void startup(java.lang.String s,
                        int i)
                 throws java.sql.SQLException

  Specified by:
    startup in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setClientIdentifier

    public void setClientIdentifier(java.lang.String s)
                             throws java.sql.SQLException

  Specified by:
    setClientIdentifier in interface weblogic.jdbc.vendor.oracle.OracleConnection

### clearClientIdentifier

    public void clearClientIdentifier(java.lang.String s)
                               throws java.sql.SQLException

  Specified by:
    clearClientIdentifier in interface weblogic.jdbc.vendor.oracle.OracleConnection

### prepareCallWithKey

    public java.sql.CallableStatement prepareCallWithKey(java.lang.String key)
                                                  throws java.sql.SQLException

  Specified by:
    prepareCallWithKey in interface weblogic.jdbc.vendor.oracle.OracleConnection

### prepareStatementWithKey

    public java.sql.PreparedStatement prepareStatementWithKey(java.lang.String sql)
                                                       throws java.sql.SQLException

  Specified by:
    prepareStatementWithKey in interface weblogic.jdbc.vendor.oracle.OracleConnection

### createStatementWithKey

    public java.sql.Statement createStatementWithKey(java.lang.String sql)
                                              throws java.sql.SQLException

  Specified by:
    createStatementWithKey in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getDescriptor

    public java.lang.Object getDescriptor(java.lang.String s)
                                   throws java.sql.SQLException

  Specified by:
    getDescriptor in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getClientData

    public java.lang.Object getClientData(java.lang.Object o)
                                   throws java.sql.SQLException

  Specified by:
    getClientData in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getJavaObject

    public java.lang.Object getJavaObject(java.lang.String s)
                                   throws java.sql.SQLException

  Specified by:
    getJavaObject in interface weblogic.jdbc.vendor.oracle.OracleConnection

### removeClientData

    public java.lang.Object removeClientData(java.lang.Object o)
                                      throws java.sql.SQLException

  Specified by:
    removeClientData in interface weblogic.jdbc.vendor.oracle.OracleConnection

### setClientData

    public java.lang.Object setClientData(java.lang.Object o,
                                          java.lang.Object o2)
                                   throws java.sql.SQLException

  Specified by:
    setClientData in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getSQLType

    public java.lang.String getSQLType(java.lang.Object o)
                                throws java.sql.SQLException

  Specified by:
    getSQLType in interface weblogic.jdbc.vendor.oracle.OracleConnection

### createBfileDBAccess

    public oracle.sql.BfileDBAccess createBfileDBAccess()
                                                 throws java.sql.SQLException

  Specified by:
    createBfileDBAccess in interface weblogic.jdbc.vendor.oracle.OracleConnection

### createBlobDBAccess

    public oracle.sql.BlobDBAccess createBlobDBAccess()
                                               throws java.sql.SQLException

  Specified by:
    createBlobDBAccess in interface weblogic.jdbc.vendor.oracle.OracleConnection

### createClobDBAccess

    public oracle.sql.ClobDBAccess createClobDBAccess()
                                               throws java.sql.SQLException

  Specified by:
    createClobDBAccess in interface weblogic.jdbc.vendor.oracle.OracleConnection

### holdLine

    public void holdLine(oracle.jdbc.driver.OracleStatement s)
                  throws java.sql.SQLException

  Specified by:
    holdLine in interface weblogic.jdbc.vendor.oracle.OracleConnection

### putDescriptor

    public void putDescriptor(java.lang.String s,
                              java.lang.Object o)
                       throws java.sql.SQLException

  Specified by:
    putDescriptor in interface weblogic.jdbc.vendor.oracle.OracleConnection

### registerSQLType

    public void registerSQLType(java.lang.String s,
                                java.lang.Class c)
                         throws java.sql.SQLException

  Specified by:
    registerSQLType in interface weblogic.jdbc.vendor.oracle.OracleConnection

### getVendorConnection

    public java.sql.Connection getVendorConnection()

  Specified by:
    getVendorConnection in interface WLConnection

### rollback

    public void rollback(java.sql.Savepoint s)
                  throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b,
                                                       int c,
                                                       int d)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       int[] b)
                                                throws java.sql.SQLException

### prepareStatement

    public java.sql.PreparedStatement prepareStatement(java.lang.String a,
                                                       java.lang.String[] b)
                                                throws java.sql.SQLException

### prepareCall

    public java.sql.CallableStatement prepareCall(java.lang.String a,
                                                  int b,
                                                  int c,
                                                  int d)
                                           throws java.sql.SQLException

### getHoldability

    public int getHoldability()
                       throws java.sql.SQLException

### setHoldability

    public void setHoldability(int a)
                        throws java.sql.SQLException

### createStatement

    public java.sql.Statement createStatement(int a,
                                              int b,
                                              int c)
                                       throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint()
                                    throws java.sql.SQLException

### setSavepoint

    public java.sql.Savepoint setSavepoint(java.lang.String a)
                                    throws java.sql.SQLException

### releaseSavepoint

    public void releaseSavepoint(java.sql.Savepoint a)
                          throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference